"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const swaggerUi = require("swagger-ui-express");
const yaml = require("js-yaml");
const fs = require("fs");
function setSwagger(app, route, filePath, options = {}) {
    try {
        const swaggerDocument = yaml.safeLoad(fs.readFileSync(filePath, 'utf8'));
        Object.assign(swaggerDocument, options);
        app.use(route, swaggerUi.serve, swaggerUi.setup(swaggerDocument));
    }
    catch (e) {
        throw new Error(`Failed to load swagger documentation: ${e}`);
    }
}
exports.setSwagger = setSwagger;
